## dosemu 1.4.0+svn.2080

=== Makefile ===
#
# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
#
# for details see file COPYING.DOSEMU in the DOSEMU distribution
#
# Makefile for DOSEMU
#

SHELL=/bin/bash

all: default configure src/include/config.h.in

srcdir=.
top_builddir=.
SUBDIR:=.
-include Makefile.conf

Makefile.conf: $(srcdir)/Makefile.conf.in $(srcdir)/configure $(srcdir)/default-configure
	@echo "Running $(srcdir)/default-configure ..."
	$(srcdir)/default-configure

default clean realclean install: config.status
	@$(MAKE) -C src $@

dosbin:
	@$(MAKE) SUBDIR:=commands -C src/commands dosbin

docs:
	@$(MAKE) SUBDIR:=doc -C src/doc all

docsinstall:
	@$(MAKE) SUBDIR:=doc -C src/doc install

docsclean:
	@$(MAKE) SUBDIR:=doc -C src/doc clean

midid:
	@$(MAKE) SUBDIR:=arch/linux/dosext/sound/midid -C src/arch/linux/dosext/sound/midid

mididclean:
	@$(MAKE) SUBDIR:=arch/linux/dosext/sound/midid -C src/arch/linux/dosext/sound/midid cleanall

dosemu_script:
	@$(MAKE) -C src dosemu_script

pristine distclean mrproper:  docsclean mididclean
	@$(MAKE) -C src pristine
	rm -f Makefile.conf dosemu.spec
	rm -f core `find . -name config.cache`
	rm -f core `find . -name config.status`
	rm -f core `find . -name config.log`
	rm -f core `find . -name configure.lineno`
	rm -f src/include/config.h
	rm -f src/include/confpath.h
	rm -f src/include/plugin_*.h
	rm -f core `find . -name '*~'`
	rm -f core `find . -name '*[\.]o'`
	rm -f core `find . -name '*.d'`
	rm -f core `find . -name '*[\.]orig'`
	rm -f core `find . -name '*[\.]rej'`
	rm -f core gen*.log
	(cd setup/demudialog; make clean)
	(cd setup/parser; make clean)
	rm -rf ./dist/tmp
	rm -f man/dosemu.1 man/dosemu.bin.1 man/ru/dosemu.1 man/ru/dosemu.bin.1
	rm -rf autom4te*.cache
	$(srcdir)/mkpluginhooks clean

tar: distclean
	VERSION=`cat VERSION` && cd .. && tar czvf dosemu-$$VERSION.tgz dosemu-$$VERSION

=== src/base/mouse/Makefile ===
#
# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
#
# for details see file COPYING.DOSEMU in the DOSEMU distribution
#

top_builddir=../../..
include $(top_builddir)/Makefile.conf

#
# This is the Makefile for the mouse-subdirectory of the DOS-emulator
# for Linux.
# $Id: Makefile 2057 2011-10-03 15:09:58Z bartoldeman $


# The following variables may go into the Makfile in the parent-directory

DEFINES=-DCLEARDTR_SUPPORT
ALL_CPPFLAGS+=$(DEFINES)

# Insert all source- and header-files here.


CFILES = mouse.c mouseint.c mousevid.c gcursor.c
DEPENDS=$(CFILES:.c=.d)
HFILES = mousevid.h
ALL = $(CFILES) $(HFILES)
OBJS = mouse.o mouseint.o mousevid.o gcursor.o

all:  	lib

install:

include $(REALTOPDIR)/src/Makefile.common

=== src/env/video/Makefile ===
#
# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
#
# for details see file COPYING.DOSEMU in the DOSEMU distribution
#

top_builddir=../../..
include $(top_builddir)/Makefile.conf

#
# This is the Makefile for the video-subdirectory of the DOS-emulator
# for Linux.

ifdef USE_SVGALIB
VCFILES = svgalib.c
endif

ASOBJS  = remap_asm.o vesabios_pm.o vesabios.o

CFILES = miscemu.c text.c render.c video.c vc.c vga.c et4000.c s3.c trident.c avance.c ati.c cirrus.c vbe.c \
	 matrox.c wdvga.c sis.c $(VCFILES) console.c hgc.c dualmon.c $(ASOBJS) \
         vgaemu.c vesa.c dacemu.c attremu.c seqemu.c crtcemu.c gfxemu.c hercemu.c instremu.c remap.c remap_pent.c vgafonts.c

all: lib

include $(SRCPATH)/Makefile.common

=== src/base/dev/pic/Makefile ===
#
# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
#
# for details see file COPYING.DOSEMU in the DOSEMU distribution
#

top_builddir=../../../..
include $(top_builddir)/Makefile.conf


CFILES = pic.c
HFILES = 
DEPENDS= pic.d

ALL = $(CFILES) $(HFILES) README.pic

OBJS = pic.o


all: lib

install:

include $(REALTOPDIR)/src/Makefile.common

=== debian/changelog ===
dosemu (1.4.0+svn.2080-1) unstable; urgency=low

  * New upstream version, exported from svn r2080:
    - drop debian/patches/force-vm86-emu.patch, now detected upstream.
  * debian/control: update deps for libgpm-dev (Closes: 676651).
  * debian/control: bump standards version to 3.9.3; no changes.
  * debian/rules: corrected "clean" target.
  * debian/control, debian/compat: switch to compat 9 to gain default
    build flags.
  * debian/dosemu.lintian-overrides: verify hardening warnings as safe
    and add to overrides.

 -- Kees Cook <kees@debian.org>  Sat, 16 Jun 2012 11:50:59 -0700

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -O--parallel -- \
		--libdir=/usr/lib \
		--mandir=/usr/share/man \
		--docdir=/usr/share/doc/dosemu \
		--sysconfdir=/etc/dosemu \
		--with-x11fontdir=/usr/share/fonts/X11/misc/dosemu \
		--with-syshdimagedir=/var/lib/dosemu \
		--with-fdtarball=freedos/dosemu-freedos-1.0-bin.tgz \

override_dh_auto_install:
	dh_auto_install -O--parallel
	# create correctly-sized xpm
	[ -e etc/dosemu32x24.xpm ] || \
	convert -resize 32x24 etc/dosemu.xpm etc/dosemu32x24.xpm
	# clean up redundant documentation
	rm -f debian/dosemu/usr/lib/dosemu/drive_z/doc/copying
	rm -f debian/dosemu/usr/lib/dosemu/drive_z/doc/*/copying
	rm -f debian/dosemu/usr/lib/dosemu/drive_z/doc/*/copying.txt
	rm -f debian/dosemu/usr/lib/dosemu/drive_z/doc/*/license.txt
	rm -f debian/dosemu/usr/lib/dosemu/drive_z/doc/exe2bin/exe2bin.txt
	# reloate freedos docs
	mkdir -p debian/dosemu/usr/share/doc/dosemu
	mv debian/dosemu/usr/lib/dosemu/drive_z/doc debian/dosemu/usr/share/doc/dosemu/freedos
	rmdir debian/dosemu/usr/share/doc/dosemu/freedos/exe2bin
	# back to documentation
	ln -s ../../../share/doc/dosemu/freedos debian/dosemu/usr/lib/dosemu/drive_z/doc
	# set up common files and symlinks
	mv debian/dosemu/usr/lib/dosemu/drive_z/autoexec.bat debian/dosemu/etc/dosemu/freedos/
	ln -s ../../../../etc/dosemu/freedos/autoexec.bat debian/dosemu/usr/lib/dosemu/drive_z/autoexec.bat
	mv debian/dosemu/usr/lib/dosemu/drive_z/config.sys debian/dosemu/etc/dosemu/freedos/
	ln -s ../../../../etc/dosemu/freedos/config.sys debian/dosemu/usr/lib/dosemu/drive_z/config.sys

override_dh_clean:
	dh_clean
	find $(CURDIR) -name '*.s.out' -print0 | xargs -0 rm -f
	rm -f etc/dosemu32x24.xpm

VERSION=$(shell dpkg-parsechangelog | grep ^Version | cut -d+ -f1 | cut -d\  -f2)
SVN_RELEASE=$(shell dpkg-parsechangelog | grep ^Version | cut -d+ -f2 | cut -d. -f2 | cut -d- -f1)
ORIG_FILE=$(CURDIR)/../dosemu_$(VERSION)+svn.$(SVN_RELEASE).orig.tar.bz2
SVN_CO_DIR=$(CURDIR)/dosemu-$(VERSION)+svn.$(SVN_RELEASE)
get-orig-source:
	test ! -e $(ORIG_FILE)
	test ! -e $(SVN_CO_DIR)
	svn co -r $(SVN_RELEASE) https://dosemu.svn.sourceforge.net/svnroot/dosemu/trunk $(SVN_CO_DIR)
	tar cjf $(ORIG_FILE) -C `dirname $(SVN_CO_DIR)` --exclude .svn `basename $(SVN_CO_DIR)`
	rm -rf $(SVN_CO_DIR)

## dosemu 1.4.0.7+20130105+b028d3f

=== Makefile ===
--- 
+++ 
@@ -52,6 +52,7 @@
 	rm -f core `find . -name configure.lineno`
 	rm -f src/include/config.h
 	rm -f src/include/confpath.h
+	rm -f src/include/version.h
 	rm -f src/include/plugin_*.h
 	rm -f core `find . -name '*~'`
 	rm -f core `find . -name '*[\.]o'`

=== man/Makefile ===
#
# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
#
# for details see file COPYING.DOSEMU in the DOSEMU distribution
#
top_builddir=..
include $(top_builddir)/Makefile.conf

LANGUAGES = ru

all: dosemu.1 dosemu.bin.1 ru/dosemu.1 ru/dosemu.bin.1

edit = sed \
	-e 's,@sysconfdir\@,$(sysconfdir),g' \
        -e 's,@prefix\@,$(prefix),g' \
        -e 's,@datadir\@,$(datadir),g' \
        -e 's,@docdir\@,$(docdir),g' \
        -e 's,@bindir\@,$(bindir),g' \
        -e 's,@PACKAGE_VERSION\@,$(PACKAGE_VERSION),g' \
        -e 's,@RELEASE_DATE\@,$(RELEASE_DATE),g'

%.1: %.1.in
	$(edit) $< > $@

install: all
	$(INSTALL) -d $(DESTDIR)$(mandir)/man1
	$(INSTALL) -m 0644 *.1 $(DESTDIR)$(mandir)/man1
	for i in $(LANGUAGES); do \
	    $(INSTALL) -d $(DESTDIR)$(mandir)/$$i/man1; \
	    $(INSTALL) -m 0644 $$i/*.1 $(DESTDIR)$(mandir)/$$i/man1; \
	done

clean realclean:

=== setup/demudialog/Makefile ===
#
# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
#
# for details see file COPYING.DOSEMU in the DOSEMU distribution
#
#USE_SLCURSES = 1  # this works buggy on some systems :-(
#DBGFLAGS = -g

CC = gcc
CPP = gcc -E
OPTIM = -O2 -Wall -fomit-frame-pointer

CFLAGS = $(OPTIM) -DLOCALE 
ifdef USE_SLCURSES
#STATIC = -static
LDFLAGS = $(DBGFLAGS)  $(STATIC) -s -L .
LDLIBS = -lslang
else
LDFLAGS = $(STATIC) -s -L .
LDLIBS = -lncurses
endif

ifdef USE_SLCURSES
	CFLAGS += -DSLANG -DCURSES_LOC="<slcurses.h>"
else
ifeq (/usr/include/ncurses/ncurses.h, $(wildcard /usr/include/ncurses/ncurses.h))
        CFLAGS += -I/usr/include/ncurses -DCURSES_LOC="<ncurses.h>"
else
ifeq (/usr/include/ncurses/curses.h, $(wildcard /usr/include/ncurses/curses.h))
        CFLAGS += -I/usr/include/ncurses -DCURSES_LOC="<ncurses/curses.h>"
else
ifeq (/usr/include/ncurses.h, $(wildcard /usr/include/ncurses.h))
        CFLAGS += -DCURSES_LOC="<ncurses.h>"
else
	CFLAGS += -DCURSES_LOC="<curses.h>"
endif
endif
endif
endif

OBJS = checklist.o menubox.o textbox.o yesno.o inputbox.o \
       util.o demudialog.o msgbox.o
SRCS = $(OBJS:.o=.c)


all: ncurses demudialog

demudialog: $(OBJS)

$(OBJS):	colors.h dialog.h

ifdef USE_SLCURSES
ncurses:
	@echo "got it"
else
ncurses:
	@x=`find /lib/ /usr/lib/ /usr/local/lib/ -maxdepth 1 -name 'libncurses.*'` ;\
	if [ ! "$$x" ]; then \
		echo -e "\007" ;\
		echo ">> Unable to find the Ncurses libraries." ;\
		echo ">>" ;\
		echo ">> You must have Ncurses installed in order" ;\
		echo ">> to use 'make menuconfig'" ;\
		echo ;\
		exit 1 ;\
	fi
endif

clean:
	rm -f core *.o *~ demudialog tried-compile

=== src/base/Makefile ===
#
# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
#
# for details see file COPYING.DOSEMU in the DOSEMU distribution
#

top_builddir=../..
include $(top_builddir)/Makefile.conf

CFILES = data.c
include $(REALTOPDIR)/src/Makefile.common

=== src/doc/Makefile ===
#
# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
#
# for details see file COPYING.DOSEMU in the DOSEMU distribution
#

SUBDIRS = DANG HOWTO README


all clean install:
	@for i in $(SUBDIRS); \
	do $(MAKE) -C $$i $@; \
	done

=== src/emu-i386/Makefile ===
#
# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
#
# for details see file COPYING.DOSEMU in the DOSEMU distribution
#

top_builddir=../..
include $(top_builddir)/Makefile.conf

CFILES=cpu.c ports.c do_vm86.c cputime.c


SFILES=
ALL=$(CFILES) $(SFILES)

OBJS=$(CFILES:.c=.o)
#OOBJS=bios.o
DEPENDS=$(CFILES:.c=.d)

include $(REALTOPDIR)/src/Makefile.common

all: lib

install: all

=== src/tests/Makefile ===
CC=gcc
CFLAGS=-Wall -O2 -g -fno-strict-aliasing
#CFLAGS+=-msse2
LDFLAGS=

all: test-i386

# i386/x86_64 emulation test (test various opcodes) */
test-i386: test-i386.c test-i386-code16.S test-i386-vm86.S \
           test-i386.h test-i386-shift.h test-i386-muldiv.h
	$(CC) -m32 $(CFLAGS) $(LDFLAGS) -static -o $@ \
              $(<D)/test-i386.c $(<D)/test-i386-code16.S $(<D)/test-i386-vm86.S -lm

test-x86_64: test-i386.c \
           test-i386.h test-i386-shift.h test-i386-muldiv.h
	$(CC) -m64 $(CFLAGS) $(LDFLAGS) -static -o $@ $(<D)/test-i386.c -lm

clean:
	rm -f *~ *.o test-i386 test-i386.exe

=== src/base/async/Makefile ===
#
# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
#
# for details see file COPYING.DOSEMU in the DOSEMU distribution
#

top_builddir=../../..
include $(top_builddir)/Makefile.conf


#  src/base/misc/dyndeb.c -> ../async/dyndeb.c
#  src/base/misc/int.c -> ../async/int.c

CFILES=dyndeb.c int.c pci_bios.c

SFILES=
ALL=$(CFILES) $(SFILES)

OBJS=$(CFILES:.c=.o)
OOBJS=bios.o
DEPENDS=$(CFILES:.c=.d)

include $(REALTOPDIR)/src/Makefile.common

all: lib

install: all

=== src/base/misc/Makefile ===
#
# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
#
# for details see file COPYING.DOSEMU in the DOSEMU distribution
#

top_builddir=../../..
include $(top_builddir)/Makefile.conf

CFILES=hma.c ioctl.c disks.c utilities.c dos2linux.c dump.c lowmem.c \
	priv.c fatfs.c userhook.c smalloc.c dlmalloc.c ringbuf.c fatfs_boot.o

include $(REALTOPDIR)/src/Makefile.common

clean::
	rm -f *.out

=== src/base/mouse/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #
 # This is the Makefile for the mouse-subdirectory of the DOS-emulator
 # for Linux.
-# $Id: Makefile 2057 2011-10-03 15:09:58Z bartoldeman $
+# $Id$
 
 
 # The following variables may go into the Makfile in the parent-directory

=== src/base/serial/Makefile ===
#
# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
#
# for details see file COPYING.DOSEMU in the DOSEMU distribution
#

top_builddir=../../..
include $(top_builddir)/Makefile.conf

# This is the Makefile for the serial-subdirectory of DOSEMU.
# Please send comments and bug-reports to marky@magmacom.com
# Please read the code in this directory for more information.

#The C files, include files and dependancies here.
CFILES = ser_init.c ser_irq.c ser_ports.c int14.c fossil.c
DEPENDS= ser_init.d ser_irq.d ser_ports.d int14.d fossil.d
HFILES = ser_defs.h

# Insert all source- and header-files here.
ALL = $(CFILES) $(HFILES) README.serial

# All object-files are included here.
OBJS = ser_init.o ser_irq.o ser_ports.o int14.o fossil.o

all: lib

install:

include $(REALTOPDIR)/src/Makefile.common

=== src/base/speaker/Makefile ===
#
# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
#
# for details see file COPYING.DOSEMU in the DOSEMU distribution
#

top_builddir=../../..
include $(top_builddir)/Makefile.conf

# Makefile for speaker code.

CFILES=speaker.c $(X_CFILES) console_speaker.c

SFILES=
ALL=$(CFILES) $(SFILES)

OBJS=$(CFILES:.c=.o)
DEPENDS=$(CFILES:.c=.d)

include $(REALTOPDIR)/src/Makefile.common

all: lib

install: all

=== debian/changelog ===
dosemu (1.4.0.7+20130105+b028d3f-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:19:56 +0000

dosemu (1.4.0.7+20130105+b028d3f-2) unstable; urgency=medium

  * Add debian/patches/pc-tcp-pad.patch: add packet padding needed
    by PC/TCP DOS network stack to avoid dropping small but valid
    packets, thanks to Frank Hintsch and Mauro Flores.

 -- Kees Cook <kees@debian.org>  Thu, 18 Jun 2015 11:18:58 -0700

dosemu (1.4.0.7+20130105+b028d3f-1) unstable; urgency=low

  * New upstream version, export from git b028d3f:
    - drop debian/patches/spelling-fixes.patch: taken upstream.
    - drop debian/patches/manpage-dashes.patch: taken upstream.
  * debian/copyright: add a note about why dosemu is in contrib
    (Closes: 691277).

 -- Kees Cook <kees@debian.org>  Sat, 05 Jan 2013 08:54:42 -0800

=== debian/control ===
Source: dosemu
Section: contrib/otherosfs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Kees Cook <kees@debian.org>
Standards-Version: 3.9.3
Build-Depends: autoconf, bin86, bison, bsdmainutils, debhelper (>= 9~), flex, libx11-dev, libxext-dev, libxxf86vm-dev, libice-dev, libslang2-dev, xfonts-utils, libxt-dev, autotools-dev, imagemagick, libgpm-dev, libasound2-dev, libsndfile1-dev, libsdl1.2-dev
Homepage: http://www.dosemu.org/

Package: dosemu
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DOS Emulator for Linux
 DOSEMU is a PC Emulator application that allows Linux to run a DOS
 operating system in a virtual x86 machine. This allows you to run
 many DOS applications.
  - Color text and full keyboard emulation (via hotkeys) via terminal.
  - Built-in X support, includes IBM character set font.
  - Graphics capability at the console with most compatible video cards.
  - DPMI support so you can run DOOM.
  - CDROM support.
  - Builtin IPX and pktdrvr support.

=== debian/rules ===
--- 
+++ 
@@ -41,12 +41,14 @@
 	rm -f etc/dosemu32x24.xpm
 
 VERSION=$(shell dpkg-parsechangelog | grep ^Version | cut -d+ -f1 | cut -d\  -f2)
-SVN_RELEASE=$(shell dpkg-parsechangelog | grep ^Version | cut -d+ -f2 | cut -d. -f2 | cut -d- -f1)
-ORIG_FILE=$(CURDIR)/../dosemu_$(VERSION)+svn.$(SVN_RELEASE).orig.tar.bz2
-SVN_CO_DIR=$(CURDIR)/dosemu-$(VERSION)+svn.$(SVN_RELEASE)
+DATE_RELEASE=$(shell dpkg-parsechangelog | grep ^Version | cut -d+ -f2 | cut -d. -f2 | cut -d- -f1)
+VCS_RELEASE=$(shell dpkg-parsechangelog | grep ^Version | cut -d+ -f3 | cut -d. -f2 | cut -d- -f1)
+ORIG_FILE=$(CURDIR)/../dosemu_$(VERSION)+$(DATE_RELEASE)+$(VCS_RELEASE).orig.tar.bz2
+CO_DIR=$(CURDIR)/dosemu-$(VERSION)+$(DATE_RELEASE)+$(VCS_RELEASE)
 get-orig-source:
 	test ! -e $(ORIG_FILE)
-	test ! -e $(SVN_CO_DIR)
-	svn co -r $(SVN_RELEASE) https://dosemu.svn.sourceforge.net/svnroot/dosemu/trunk $(SVN_CO_DIR)
-	tar cjf $(ORIG_FILE) -C `dirname $(SVN_CO_DIR)` --exclude .svn `basename $(SVN_CO_DIR)`
-	rm -rf $(SVN_CO_DIR)
+	test ! -e $(CO_DIR)
+	git clone git://git.code.sf.net/p/dosemu/code $(CO_DIR)
+	(cd $(CO_DIR) && git reset --hard $(VCS_RELEASE))
+	tar cjf $(ORIG_FILE) -C `dirname $(CO_DIR)` --exclude .git `basename $(CO_DIR)`
+	rm -rf $(CO_DIR)
